#include <gp-bnb/graph.hpp>

graph::graph(std::vector<std::vector<unsigned int>> a) : vertices_(a.size()), adjacency_list_(a) {
}

unsigned int graph::num_vertices() const {
    return vertices_;
}

std::vector<unsigned int> graph::get_adjacency(vertex_id v) const {
    return adjacency_list_[v-1];
}
